Skip to content

@colby-swandale colby-swandale released this Jun 13, 2019 · 2328 commits to master since this release

Changes:

  • Fixes for Bundler integration with ruby-src (#6941, #6973, #6977, #6315, #7061)
  • Use __dir__ instead of __FILE__ when generating a gem with bundle gem (#6503)
  • Use https on externals links in the Bundler gemspec (#6721)
  • Removed duplicate gem names from the suggested did you mean list for gem typos (#6739)
  • Removed Ruby 1.x compatibility code (#6764, #6806)
  • Fixed an issue where bundle remove would crash with certain Gemfiles (#6768)
  • Fixed indentation in the Bundler executable template (#6773)
  • Fixed an issue where plugins could register for the same Bundler hook multiple times (#6775)
  • Changed the "multiple sources" message in bundle install to be a warning instead of an error (#6790)
  • Fixed a bug where path gems would break when using only_update_to_newer_versions (#6774)
  • Fixed a bug where installing plugins with the --delpoyment setting would fail (#6805)
  • Fixed an issue where bundle update couldn't update & install a gem when no_install was set (a bundle package config) (#7078)
  • Fixed an issue where users could not run bundle exec on default gems (#6963)
  • Updated vendor libraries to their latest version (#7076, #7068)
  • Fixed an issue where the github source was not using https by default that we mentioned in the 2.0 release (#7182)
  • Fixed an issue where rake release was not outputting the message to users asking for a 2fa token (#7199)

Documentation:

  • Fix incorrect documented BUNDLE_PATH_RELATIVE_TO_CWD env var (#6751)
  • Update URLs in Bundler's documentation to use https (#6935)
Assets 2
You can’t perform that action at this time.